curl --request GET \
--url https://api.hubapi.com/account-info/v3/activity/audit-logs \
--header 'Authorization: Bearer <token>'{
"results": [
{
"actingUser": {
"userId": 123,
"userEmail": "<string>"
},
"action": "<string>",
"category": "<string>",
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"subCategory": "<string>",
"targetObjectId": "<string>"
}
],
"paging": {}
}承認、コンテンツの更新、CRMオブジェクトの更新、セキュリティーアクティビティーなどに関連するユーザーアクションのアクティビティー履歴を取得します(Enterpriseのみ)。[監査ログのエクスポートに含まれるアクティビティー](https://knowledge.hubspot.com/account-management/view-and-export-account-activity-history-in-a-centralized-audit-log?hubs_content=knowledge.hubspot.com/account-management/view-and-export-account-activity-history&hubs_content-cta=centralized%20audit%20log#data-included-in-the-centralized-audit-log)についてもっと詳しく。
curl --request GET \
--url https://api.hubapi.com/account-info/v3/activity/audit-logs \
--header 'Authorization: Bearer <token>'{
"results": [
{
"actingUser": {
"userId": 123,
"userEmail": "<string>"
},
"action": "<string>",
"category": "<string>",
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"subCategory": "<string>",
"targetObjectId": "<string>"
}
],
"paging": {}
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
ユーザー固有のログを取得するためのユーザーのID。
最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。
ページごとに表示する結果の最大数。
アクティビティーログを取得する開始点としてのタイムスタンプ。
アクティビティーログを取得する終了点としてのタイムスタンプ。
イベントの日時を基準に結果を並べ替えるには「occurredAt」に設定します。デフォルトでは、イベントは古いものから新しいものへの順で並べ替えられます。